Update an existing app
curl --request PATCH \
--url https://apps-studio.thena.ai/apps/{id}/update-app \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://apps-studio.thena.ai/apps/{id}/update-app"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://apps-studio.thena.ai/apps/{id}/update-app', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Minor changes saved successfully",
"changes": [
{
"path": "app.name",
"oldValue": "Old Name",
"newValue": "New Name"
}
]
}App creation
Update an existing app
Updates an app’s manifest and configurations
PATCH
/
apps
/
{id}
/
update-app
Update an existing app
Authorizations
Path Parameters
Unique identifier of the app
Body
application/json
The body is of type object.
Response
App updated successfully
Status of the update operation
Available options:
success, unchanged Example:
"success"
Message describing the result of the operation
Example:
"Minor changes saved successfully"
List of changes made to the app manifest
Show child attributes
Show child attributes
⌘I